<?php
namespace Fiscal\Logic\LivroMagnetico;

use Fiscal\Entities\Layoutlivromag;
use Fiscal\Entities\Cfoplivromag;
use Geral\Util\Ambiente;
use Geral\Util\DateUtil;
use Setforms2\Shared\Registry;

/**
 * created by luizpereira
 */

class ImportarLayout {

    public static function verificaLayoutExistente($nrorg, $cdlivromag, $item){
        $layoutExistente = Layoutlivromag::findOneByNrorgAndCdlivromagAndCdlayoutlmag($nrorg, $cdlivromag, (string)$item->codigo);
        if($layoutExistente){
           return true; 
        }else{
            return false;
        }
    }

    public static function selectLayouts($nrorg, $cdlivromag){

        $layouts = Layoutlivromag::getObjectsByWhere(
            'NRORG = ? AND CDLIVROMAG = ?',
            array(
                $nrorg,
                $cdlivromag
            ),'CDLAYOUTLMAG'
        );

        // $layouts = Layoutlivromag::findByNrorgAndCdlivromag($nrorg, $cdlivromag);
        return $layouts;
    }

    public static function verificaCfopExistente($nrorg, $cdlivromag, $item){
        $cfopExistente = Cfoplivromag::findOneByNrorgAndCdlivromagAndCdlayoutlmagAndCdcfoplmag($nrorg, $cdlivromag, (string)$item->codigo, (string)$item->cfop);
        if($cfopExistente){
            return true; 
        }else{
            return false;
        }
    }

    public static function selectCfops($nrorg, $cdlivromag, $cdlayoutlmag){
        // $cfops = Cfoplivromag::findByNrorgAndCdlivromagAndCdlayoutlmag($nrorg, $cdlivromag, $cdlayoutlmag);

        $cfops = Cfoplivromag::getObjectsByWhere(
            'NRORG = ? AND CDLIVROMAG = ? AND CDLAYOUTLMAG = ?',
            array(
                $nrorg, 
                $cdlivromag, 
                $cdlayoutlmag
            ),'CDCFOPLMAG'
        );

        return $cfops;
    }

    public static function insereItemLayout($cdlivromag ,$item){
        $newLayout = new Layoutlivromag();
        
        $newLayout->setCdlivromag($cdlivromag);
        $newLayout->setCdlayoutlmag((string)$item->codigo);
        $newLayout->setNmlayoutlmag((string)$item->descricao);
        $newLayout->setNrorg(\Geral\Util\Ambiente::getNrorg());
        $newLayout->setDtinclusao(DateUtil::getDataAtual());
        $newLayout->setCdoperinclusao(\Geral\Util\Ambiente::getCdOperador());
        $newLayout->setCdoperultatu(\Geral\Util\Ambiente::getCdOperador());
        $newLayout->setDtultatu(DateUtil::getDataAtual());
        $newLayout->setNrorgultatu(\Geral\Util\Ambiente::getNrorg());
        $newLayout->setNrorginclusao(\Geral\Util\Ambiente::getNrorg());

        $newLayout->persist();
        Registry::getEntityManager()->flush();
    }

    public static function insereItemCfop($cdlivromag, $item){
        $newCfop = new Cfoplivromag();

        $newCfop->setCdlivromag($cdlivromag);
        $newCfop->setCdlayoutlmag((string)$item->codigo);
        $newCfop->setCdcfoplmag((string)$item->cfop);
        $newCfop->setDscfoplmag((string)$item->nomecfop);
        $newCfop->setNrorg(\Geral\Util\Ambiente::getNrorg());
        $newCfop->setDtinclusao(DateUtil::getDataAtual());
        $newCfop->setCdoperinclusao(\Geral\Util\Ambiente::getCdOperador());
        $newCfop->setCdoperultatu(\Geral\Util\Ambiente::getCdOperador());
        $newCfop->setDtultatu(DateUtil::getDataAtual());
        $newCfop->setNrorgultatu(\Geral\Util\Ambiente::getNrorg());
        $newCfop->setNrorginclusao(\Geral\Util\Ambiente::getNrorg());

        $newCfop->persist();
        Registry::getEntityManager()->flush();
    }
}

?>
