-- ========================================================================
-- TABLE: FCT_NEGCONTRATO (Negociacao de Contrato)
-- ========================================================================

ALTER TABLE FCT_NEGCONTRATO DROP COLUMN IDELEMENTO
/

ALTER TABLE FCT_NEGCONTRATO ADD NRITEMELEMENTO NUMBER
/

ALTER TABLE FCT_NEGCONTRATO DROP CONSTRAINT FKSM00318ITEMCONT_NEGOCONTR
/

ALTER TABLE FCT_NEGCONTRATO 
  ADD CONSTRAINT FKSM00318ITEMCONT_NEGOCONTR FOREIGN KEY (NRITEMOCONTRATO) 
      REFERENCES FCT_ITEMCONTRATO (NRITEMOCONTRATO)
/
 
ALTER TABLE FCT_NEGCONTRATO 
  ADD CONSTRAINT FK_FCT_ITEMCONT_NEGOCONTR_ELE FOREIGN KEY (NRITEMELEMENTO) 
      REFERENCES FCT_ITEMCONTRATO (NRITEMOCONTRATO)
/

-- ========================================================================
-- TABLE: FCT_MOTIVOPARALISACAO
-- ========================================================================
CREATE TABLE FCT_MOTIVOPARALISACAO (
    NRMOTIVOPARALISACAO NUMBER NOT NULL,
    DSMOTIVOPARALISACAO VARCHAR2(2000),
    NRORG 				NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	IDATIVO 			VARCHAR2(1) 	DEFAULT 'S' NOT NULL,
		CONSTRAINT CKC_IDATIVO_FCTMOTVPARAL CHECK (IDATIVO IN ('S','N')),
	DTINCLUSAO          DATE            DEFAULT SYSDATE NOT NULL,
	DTULTATU 			DATE 			NULL,
	NRORGINCLUSAO 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERINCLUSAO 		VARCHAR2(12)	DEFAULT '1' NULL,
	NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
	CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1'
	)
/

ALTER TABLE FCT_MOTIVOPARALISACAO
  ADD CONSTRAINT PK_FCT_MOTIVOPARALISACAO PRIMARY KEY (NRMOTIVOPARALISACAO)
/

ALTER TABLE FCT_PARAMPARALISACAOCONT ADD NRMOTIVOPARALISACAO NUMBER NULL
/

CREATE INDEX SM00323_FK ON FCT_PARAMPARALISACAOCONT (NRMOTIVOPARALISACAO ASC)
/

ALTER TABLE FCT_PARAMPARALISACAOCONT
      ADD CONSTRAINT FKSM00323PRPARALISACONT_MOTIVO FOREIGN KEY (NRMOTIVOPARALISACAO)
          REFERENCES FCT_MOTIVOPARALISACAO (NRMOTIVOPARALISACAO)
/